package hurome.diagram.providers;

import hurome.diagram.edit.parts.CodeBlock2EditPart;
import hurome.diagram.edit.parts.CodeBlock3EditPart;
import hurome.diagram.edit.parts.CodeBlockCbCompartment2EditPart;
import hurome.diagram.edit.parts.CodeBlockCbCompartmentEditPart;
import hurome.diagram.edit.parts.CodeBlockEditPart;
import hurome.diagram.edit.parts.Conditional2EditPart;
import hurome.diagram.edit.parts.ConditionalEditPart;
import hurome.diagram.edit.parts.ConditionalElseCompartment2EditPart;
import hurome.diagram.edit.parts.ConditionalElseCompartmentEditPart;
import hurome.diagram.edit.parts.ConditionalIfCompartment2EditPart;
import hurome.diagram.edit.parts.ConditionalIfCompartmentEditPart;
import hurome.diagram.edit.parts.Delay2EditPart;
import hurome.diagram.edit.parts.DelayEditPart;
import hurome.diagram.edit.parts.FinalPseudoMovement2EditPart;
import hurome.diagram.edit.parts.FinalPseudoMovementEditPart;
import hurome.diagram.edit.parts.InitialPseudoMovement2EditPart;
import hurome.diagram.edit.parts.InitialPseudoMovementEditPart;
import hurome.diagram.edit.parts.Loop2EditPart;
import hurome.diagram.edit.parts.LoopEditPart;
import hurome.diagram.edit.parts.LoopLoopFigureCompartment2EditPart;
import hurome.diagram.edit.parts.LoopLoopFigureCompartmentEditPart;
import hurome.diagram.edit.parts.SetSpeed2EditPart;
import hurome.diagram.edit.parts.SetSpeedEditPart;
import hurome.diagram.edit.parts.SimpleMovement2EditPart;
import hurome.diagram.edit.parts.SimpleMovementEditPart;
import hurome.diagram.edit.parts.VarAssigment2EditPart;
import hurome.diagram.edit.parts.VarAssigmentEditPart;
import hurome.diagram.edit.parts.VarDeclaration2EditPart;
import hurome.diagram.edit.parts.VarDeclarationEditPart;
import hurome.diagram.part.HuromeDiagramEditorPlugin;
import hurome.diagram.part.Messages;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;

import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider;
import org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart;
import org.eclipse.gmf.runtime.emf.type.core.ElementTypeRegistry;
import org.eclipse.gmf.runtime.emf.type.core.IElementType;
import org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.ModelingAssistantProvider;
import org.eclipse.gmf.runtime.notation.Diagram;
import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.window.Window;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.dialogs.ElementListSelectionDialog;

/**
 * @generated
 */
public class HuromeModelingAssistantProvider extends ModelingAssistantProvider {

	/**
	 * @generated
	 */
	public List getTypesForPopupBar(IAdaptable host) {
		IGraphicalEditPart editPart = (IGraphicalEditPart) host
				.getAdapter(IGraphicalEditPart.class);
		if (editPart instanceof CodeBlockEditPart) {
			ArrayList<IElementType> types = new ArrayList<IElementType>(9);
			types.add(HuromeElementTypes.Conditional_2001);
			types.add(HuromeElementTypes.InitialPseudoMovement_2003);
			types.add(HuromeElementTypes.Delay_2002);
			types.add(HuromeElementTypes.FinalPseudoMovement_2004);
			types.add(HuromeElementTypes.VarAssigment_2005);
			types.add(HuromeElementTypes.SetSpeed_2006);
			types.add(HuromeElementTypes.SimpleMovement_2007);
			types.add(HuromeElementTypes.VarDeclaration_2008);
			types.add(HuromeElementTypes.Loop_2009);
			return types;
		}
		if (editPart instanceof ConditionalIfCompartmentEditPart) {
			ArrayList<IElementType> types = new ArrayList<IElementType>(1);
			types.add(HuromeElementTypes.CodeBlock_3001);
			return types;
		}
		if (editPart instanceof ConditionalElseCompartmentEditPart) {
			ArrayList<IElementType> types = new ArrayList<IElementType>(1);
			types.add(HuromeElementTypes.CodeBlock_3004);
			return types;
		}
		if (editPart instanceof CodeBlockCbCompartmentEditPart) {
			ArrayList<IElementType> types = new ArrayList<IElementType>(9);
			types.add(HuromeElementTypes.Delay_3002);
			types.add(HuromeElementTypes.InitialPseudoMovement_3003);
			types.add(HuromeElementTypes.Conditional_3006);
			types.add(HuromeElementTypes.FinalPseudoMovement_3007);
			types.add(HuromeElementTypes.Loop_3008);
			types.add(HuromeElementTypes.SetSpeed_3009);
			types.add(HuromeElementTypes.SimpleMovement_3010);
			types.add(HuromeElementTypes.VarAssigment_3011);
			types.add(HuromeElementTypes.VarDeclaration_3012);
			return types;
		}
		if (editPart instanceof ConditionalIfCompartment2EditPart) {
			ArrayList<IElementType> types = new ArrayList<IElementType>(1);
			types.add(HuromeElementTypes.CodeBlock_3001);
			return types;
		}
		if (editPart instanceof ConditionalElseCompartment2EditPart) {
			ArrayList<IElementType> types = new ArrayList<IElementType>(1);
			types.add(HuromeElementTypes.CodeBlock_3004);
			return types;
		}
		if (editPart instanceof CodeBlockCbCompartment2EditPart) {
			ArrayList<IElementType> types = new ArrayList<IElementType>(9);
			types.add(HuromeElementTypes.Delay_3002);
			types.add(HuromeElementTypes.InitialPseudoMovement_3003);
			types.add(HuromeElementTypes.Conditional_3006);
			types.add(HuromeElementTypes.FinalPseudoMovement_3007);
			types.add(HuromeElementTypes.Loop_3008);
			types.add(HuromeElementTypes.SetSpeed_3009);
			types.add(HuromeElementTypes.SimpleMovement_3010);
			types.add(HuromeElementTypes.VarAssigment_3011);
			types.add(HuromeElementTypes.VarDeclaration_3012);
			return types;
		}
		if (editPart instanceof LoopLoopFigureCompartmentEditPart) {
			ArrayList<IElementType> types = new ArrayList<IElementType>(9);
			types.add(HuromeElementTypes.Delay_3002);
			types.add(HuromeElementTypes.InitialPseudoMovement_3003);
			types.add(HuromeElementTypes.Conditional_3006);
			types.add(HuromeElementTypes.FinalPseudoMovement_3007);
			types.add(HuromeElementTypes.Loop_3008);
			types.add(HuromeElementTypes.SetSpeed_3009);
			types.add(HuromeElementTypes.SimpleMovement_3010);
			types.add(HuromeElementTypes.VarAssigment_3011);
			types.add(HuromeElementTypes.VarDeclaration_3012);
			return types;
		}
		if (editPart instanceof LoopLoopFigureCompartment2EditPart) {
			ArrayList<IElementType> types = new ArrayList<IElementType>(9);
			types.add(HuromeElementTypes.Delay_3002);
			types.add(HuromeElementTypes.InitialPseudoMovement_3003);
			types.add(HuromeElementTypes.Conditional_3006);
			types.add(HuromeElementTypes.FinalPseudoMovement_3007);
			types.add(HuromeElementTypes.Loop_3008);
			types.add(HuromeElementTypes.SetSpeed_3009);
			types.add(HuromeElementTypes.SimpleMovement_3010);
			types.add(HuromeElementTypes.VarAssigment_3011);
			types.add(HuromeElementTypes.VarDeclaration_3012);
			return types;
		}
		return Collections.EMPTY_LIST;
	}

	/**
	 * @generated
	 */
	public List getRelTypesOnSource(IAdaptable source) {
		IGraphicalEditPart sourceEditPart = (IGraphicalEditPart) source
				.getAdapter(IGraphicalEditPart.class);
		if (sourceEditPart instanceof ConditionalEditPart) {
			return ((ConditionalEditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof InitialPseudoMovementEditPart) {
			return ((InitialPseudoMovementEditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof DelayEditPart) {
			return ((DelayEditPart) sourceEditPart).getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof FinalPseudoMovementEditPart) {
			return ((FinalPseudoMovementEditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof VarAssigmentEditPart) {
			return ((VarAssigmentEditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof SetSpeedEditPart) {
			return ((SetSpeedEditPart) sourceEditPart).getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof SimpleMovementEditPart) {
			return ((SimpleMovementEditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof VarDeclarationEditPart) {
			return ((VarDeclarationEditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof LoopEditPart) {
			return ((LoopEditPart) sourceEditPart).getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof CodeBlock2EditPart) {
			return ((CodeBlock2EditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof Delay2EditPart) {
			return ((Delay2EditPart) sourceEditPart).getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof InitialPseudoMovement2EditPart) {
			return ((InitialPseudoMovement2EditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof Conditional2EditPart) {
			return ((Conditional2EditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof CodeBlock3EditPart) {
			return ((CodeBlock3EditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof FinalPseudoMovement2EditPart) {
			return ((FinalPseudoMovement2EditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof Loop2EditPart) {
			return ((Loop2EditPart) sourceEditPart).getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof SetSpeed2EditPart) {
			return ((SetSpeed2EditPart) sourceEditPart).getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof SimpleMovement2EditPart) {
			return ((SimpleMovement2EditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof VarAssigment2EditPart) {
			return ((VarAssigment2EditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		if (sourceEditPart instanceof VarDeclaration2EditPart) {
			return ((VarDeclaration2EditPart) sourceEditPart)
					.getMARelTypesOnSource();
		}
		return Collections.EMPTY_LIST;
	}

	/**
	 * @generated
	 */
	public List getRelTypesOnTarget(IAdaptable target) {
		IGraphicalEditPart targetEditPart = (IGraphicalEditPart) target
				.getAdapter(IGraphicalEditPart.class);
		if (targetEditPart instanceof ConditionalEditPart) {
			return ((ConditionalEditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof InitialPseudoMovementEditPart) {
			return ((InitialPseudoMovementEditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof DelayEditPart) {
			return ((DelayEditPart) targetEditPart).getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof FinalPseudoMovementEditPart) {
			return ((FinalPseudoMovementEditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof VarAssigmentEditPart) {
			return ((VarAssigmentEditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof SetSpeedEditPart) {
			return ((SetSpeedEditPart) targetEditPart).getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof SimpleMovementEditPart) {
			return ((SimpleMovementEditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof VarDeclarationEditPart) {
			return ((VarDeclarationEditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof LoopEditPart) {
			return ((LoopEditPart) targetEditPart).getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof CodeBlock2EditPart) {
			return ((CodeBlock2EditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof Delay2EditPart) {
			return ((Delay2EditPart) targetEditPart).getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof InitialPseudoMovement2EditPart) {
			return ((InitialPseudoMovement2EditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof Conditional2EditPart) {
			return ((Conditional2EditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof CodeBlock3EditPart) {
			return ((CodeBlock3EditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof FinalPseudoMovement2EditPart) {
			return ((FinalPseudoMovement2EditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof Loop2EditPart) {
			return ((Loop2EditPart) targetEditPart).getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof SetSpeed2EditPart) {
			return ((SetSpeed2EditPart) targetEditPart).getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof SimpleMovement2EditPart) {
			return ((SimpleMovement2EditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof VarAssigment2EditPart) {
			return ((VarAssigment2EditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		if (targetEditPart instanceof VarDeclaration2EditPart) {
			return ((VarDeclaration2EditPart) targetEditPart)
					.getMARelTypesOnTarget();
		}
		return Collections.EMPTY_LIST;
	}

	/**
	 * @generated
	 */
	public List getRelTypesOnSourceAndTarget(IAdaptable source,
			IAdaptable target) {
		IGraphicalEditPart sourceEditPart = (IGraphicalEditPart) source
				.getAdapter(IGraphicalEditPart.class);
		IGraphicalEditPart targetEditPart = (IGraphicalEditPart) target
				.getAdapter(IGraphicalEditPart.class);
		if (sourceEditPart instanceof ConditionalEditPart) {
			return ((ConditionalEditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof InitialPseudoMovementEditPart) {
			return ((InitialPseudoMovementEditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof DelayEditPart) {
			return ((DelayEditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof FinalPseudoMovementEditPart) {
			return ((FinalPseudoMovementEditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof VarAssigmentEditPart) {
			return ((VarAssigmentEditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof SetSpeedEditPart) {
			return ((SetSpeedEditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof SimpleMovementEditPart) {
			return ((SimpleMovementEditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof VarDeclarationEditPart) {
			return ((VarDeclarationEditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof LoopEditPart) {
			return ((LoopEditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof CodeBlock2EditPart) {
			return ((CodeBlock2EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof Delay2EditPart) {
			return ((Delay2EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof InitialPseudoMovement2EditPart) {
			return ((InitialPseudoMovement2EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof Conditional2EditPart) {
			return ((Conditional2EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof CodeBlock3EditPart) {
			return ((CodeBlock3EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof FinalPseudoMovement2EditPart) {
			return ((FinalPseudoMovement2EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof Loop2EditPart) {
			return ((Loop2EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof SetSpeed2EditPart) {
			return ((SetSpeed2EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof SimpleMovement2EditPart) {
			return ((SimpleMovement2EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof VarAssigment2EditPart) {
			return ((VarAssigment2EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		if (sourceEditPart instanceof VarDeclaration2EditPart) {
			return ((VarDeclaration2EditPart) sourceEditPart)
					.getMARelTypesOnSourceAndTarget(targetEditPart);
		}
		return Collections.EMPTY_LIST;
	}

	/**
	 * @generated
	 */
	public List getTypesForSource(IAdaptable target,
			IElementType relationshipType) {
		IGraphicalEditPart targetEditPart = (IGraphicalEditPart) target
				.getAdapter(IGraphicalEditPart.class);
		if (targetEditPart instanceof ConditionalEditPart) {
			return ((ConditionalEditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof InitialPseudoMovementEditPart) {
			return ((InitialPseudoMovementEditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof DelayEditPart) {
			return ((DelayEditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof FinalPseudoMovementEditPart) {
			return ((FinalPseudoMovementEditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof VarAssigmentEditPart) {
			return ((VarAssigmentEditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof SetSpeedEditPart) {
			return ((SetSpeedEditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof SimpleMovementEditPart) {
			return ((SimpleMovementEditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof VarDeclarationEditPart) {
			return ((VarDeclarationEditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof LoopEditPart) {
			return ((LoopEditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof CodeBlock2EditPart) {
			return ((CodeBlock2EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof Delay2EditPart) {
			return ((Delay2EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof InitialPseudoMovement2EditPart) {
			return ((InitialPseudoMovement2EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof Conditional2EditPart) {
			return ((Conditional2EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof CodeBlock3EditPart) {
			return ((CodeBlock3EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof FinalPseudoMovement2EditPart) {
			return ((FinalPseudoMovement2EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof Loop2EditPart) {
			return ((Loop2EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof SetSpeed2EditPart) {
			return ((SetSpeed2EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof SimpleMovement2EditPart) {
			return ((SimpleMovement2EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof VarAssigment2EditPart) {
			return ((VarAssigment2EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		if (targetEditPart instanceof VarDeclaration2EditPart) {
			return ((VarDeclaration2EditPart) targetEditPart)
					.getMATypesForSource(relationshipType);
		}
		return Collections.EMPTY_LIST;
	}

	/**
	 * @generated
	 */
	public List getTypesForTarget(IAdaptable source,
			IElementType relationshipType) {
		IGraphicalEditPart sourceEditPart = (IGraphicalEditPart) source
				.getAdapter(IGraphicalEditPart.class);
		if (sourceEditPart instanceof ConditionalEditPart) {
			return ((ConditionalEditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof InitialPseudoMovementEditPart) {
			return ((InitialPseudoMovementEditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof DelayEditPart) {
			return ((DelayEditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof FinalPseudoMovementEditPart) {
			return ((FinalPseudoMovementEditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof VarAssigmentEditPart) {
			return ((VarAssigmentEditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof SetSpeedEditPart) {
			return ((SetSpeedEditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof SimpleMovementEditPart) {
			return ((SimpleMovementEditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof VarDeclarationEditPart) {
			return ((VarDeclarationEditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof LoopEditPart) {
			return ((LoopEditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof CodeBlock2EditPart) {
			return ((CodeBlock2EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof Delay2EditPart) {
			return ((Delay2EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof InitialPseudoMovement2EditPart) {
			return ((InitialPseudoMovement2EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof Conditional2EditPart) {
			return ((Conditional2EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof CodeBlock3EditPart) {
			return ((CodeBlock3EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof FinalPseudoMovement2EditPart) {
			return ((FinalPseudoMovement2EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof Loop2EditPart) {
			return ((Loop2EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof SetSpeed2EditPart) {
			return ((SetSpeed2EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof SimpleMovement2EditPart) {
			return ((SimpleMovement2EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof VarAssigment2EditPart) {
			return ((VarAssigment2EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		if (sourceEditPart instanceof VarDeclaration2EditPart) {
			return ((VarDeclaration2EditPart) sourceEditPart)
					.getMATypesForTarget(relationshipType);
		}
		return Collections.EMPTY_LIST;
	}

	/**
	 * @generated
	 */
	public EObject selectExistingElementForSource(IAdaptable target,
			IElementType relationshipType) {
		return selectExistingElement(target,
				getTypesForSource(target, relationshipType));
	}

	/**
	 * @generated
	 */
	public EObject selectExistingElementForTarget(IAdaptable source,
			IElementType relationshipType) {
		return selectExistingElement(source,
				getTypesForTarget(source, relationshipType));
	}

	/**
	 * @generated
	 */
	protected EObject selectExistingElement(IAdaptable host, Collection types) {
		if (types.isEmpty()) {
			return null;
		}
		IGraphicalEditPart editPart = (IGraphicalEditPart) host
				.getAdapter(IGraphicalEditPart.class);
		if (editPart == null) {
			return null;
		}
		Diagram diagram = (Diagram) editPart.getRoot().getContents().getModel();
		HashSet<EObject> elements = new HashSet<EObject>();
		for (Iterator<EObject> it = diagram.getElement().eAllContents(); it
				.hasNext();) {
			EObject element = it.next();
			if (isApplicableElement(element, types)) {
				elements.add(element);
			}
		}
		if (elements.isEmpty()) {
			return null;
		}
		return selectElement((EObject[]) elements.toArray(new EObject[elements
				.size()]));
	}

	/**
	 * @generated
	 */
	protected boolean isApplicableElement(EObject element, Collection types) {
		IElementType type = ElementTypeRegistry.getInstance().getElementType(
				element);
		return types.contains(type);
	}

	/**
	 * @generated
	 */
	protected EObject selectElement(EObject[] elements) {
		Shell shell = Display.getCurrent().getActiveShell();
		ILabelProvider labelProvider = new AdapterFactoryLabelProvider(
				HuromeDiagramEditorPlugin.getInstance()
						.getItemProvidersAdapterFactory());
		ElementListSelectionDialog dialog = new ElementListSelectionDialog(
				shell, labelProvider);
		dialog.setMessage(Messages.HuromeModelingAssistantProviderMessage);
		dialog.setTitle(Messages.HuromeModelingAssistantProviderTitle);
		dialog.setMultipleSelection(false);
		dialog.setElements(elements);
		EObject selected = null;
		if (dialog.open() == Window.OK) {
			selected = (EObject) dialog.getFirstResult();
		}
		return selected;
	}
}
