/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package hurome;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Simple Movement</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_00 <em>Servo Angle 00</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_01 <em>Servo Angle 01</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_02 <em>Servo Angle 02</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_03 <em>Servo Angle 03</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_04 <em>Servo Angle 04</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_05 <em>Servo Angle 05</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_06 <em>Servo Angle 06</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_07 <em>Servo Angle 07</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_08 <em>Servo Angle 08</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_09 <em>Servo Angle 09</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_10 <em>Servo Angle 10</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_11 <em>Servo Angle 11</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_12 <em>Servo Angle 12</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_13 <em>Servo Angle 13</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_14 <em>Servo Angle 14</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_15 <em>Servo Angle 15</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_16 <em>Servo Angle 16</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_17 <em>Servo Angle 17</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_18 <em>Servo Angle 18</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_19 <em>Servo Angle 19</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_20 <em>Servo Angle 20</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_21 <em>Servo Angle 21</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_22 <em>Servo Angle 22</em>}</li>
 *   <li>{@link hurome.SimpleMovement#getServoAngle_23 <em>Servo Angle 23</em>}</li>
 *   <li>{@link hurome.SimpleMovement#isPtpall <em>Ptpall</em>}</li>
 * </ul>
 * </p>
 *
 * @see hurome.HuromePackage#getSimpleMovement()
 * @model annotation="http://www.eclipse.org/emf/2002/Ecore constraints='AllServoAngleValuesSmallerThan190 AllServoAngleValuesGreaterThan10 SimpleMovementsRequireOneIncomingSequenceLink SimpleMovementsRequireOneOutgoingSequenceLink'"
 *        annotation="http://www.eclipse.org/emf/2002/Ecore/OCL AllServoAngleValuesSmallerThan190='\n\t\t\tself.servoAngle_00<=190 and self.servoAngle_01<=190 and self.servoAngle_02<=190 and self.servoAngle_03<=190 and self.servoAngle_04<=190 and self.servoAngle_05<=190 and self.servoAngle_06<=190 and self.servoAngle_07<=190 and self.servoAngle_08<=190 and self.servoAngle_09<=190 and self.servoAngle_10<=190 and self.servoAngle_11<=190 and self.servoAngle_12<=190 and self.servoAngle_13<=190 and self.servoAngle_14<=190 and self.servoAngle_15<=190 and self.servoAngle_16<=190 and self.servoAngle_17<=190 and self.servoAngle_18<=190 and self.servoAngle_19<=190 and self.servoAngle_20<=190 and self.servoAngle_21<=190 and self.servoAngle_22<=190 and self.servoAngle_23<=190' AllServoAngleValuesGreaterThan10='\n\t\t\tself.servoAngle_00>=10 and self.servoAngle_01>=10 and self.servoAngle_02>=10 and self.servoAngle_03>=10 and self.servoAngle_04>=10 and self.servoAngle_05>=10 and self.servoAngle_06>=10 and self.servoAngle_07>=10 and self.servoAngle_08>=10 and self.servoAngle_09>=10 and self.servoAngle_10>=10 and self.servoAngle_11>=10 and self.servoAngle_12>=10 and self.servoAngle_13>=10 and self.servoAngle_14>=10 and self.servoAngle_15>=10 and self.servoAngle_16>=10 and self.servoAngle_17>=10 and self.servoAngle_18>=10 and self.servoAngle_19>=10 and self.servoAngle_20>=10 and self.servoAngle_21>=10 and self.servoAngle_22>=10 and self.servoAngle_23>=10' SimpleMovementsRequireOneIncomingSequenceLink='\n\t\t\tself.incoming->size()=1' SimpleMovementsRequireOneOutgoingSequenceLink='\n\t\t\tself.outgoing->size()=1'"
 * @generated
 */
public interface SimpleMovement extends Node {
	/**
	 * Returns the value of the '<em><b>Servo Angle 00</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 00</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 00</em>' attribute.
	 * @see #setServoAngle_00(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_00()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_00();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_00 <em>Servo Angle 00</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 00</em>' attribute.
	 * @see #getServoAngle_00()
	 * @generated
	 */
	void setServoAngle_00(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 01</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 01</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 01</em>' attribute.
	 * @see #setServoAngle_01(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_01()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_01();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_01 <em>Servo Angle 01</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 01</em>' attribute.
	 * @see #getServoAngle_01()
	 * @generated
	 */
	void setServoAngle_01(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 02</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 02</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 02</em>' attribute.
	 * @see #setServoAngle_02(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_02()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_02();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_02 <em>Servo Angle 02</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 02</em>' attribute.
	 * @see #getServoAngle_02()
	 * @generated
	 */
	void setServoAngle_02(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 03</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 03</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 03</em>' attribute.
	 * @see #setServoAngle_03(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_03()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_03();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_03 <em>Servo Angle 03</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 03</em>' attribute.
	 * @see #getServoAngle_03()
	 * @generated
	 */
	void setServoAngle_03(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 04</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 04</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 04</em>' attribute.
	 * @see #setServoAngle_04(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_04()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_04();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_04 <em>Servo Angle 04</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 04</em>' attribute.
	 * @see #getServoAngle_04()
	 * @generated
	 */
	void setServoAngle_04(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 05</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 05</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 05</em>' attribute.
	 * @see #setServoAngle_05(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_05()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_05();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_05 <em>Servo Angle 05</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 05</em>' attribute.
	 * @see #getServoAngle_05()
	 * @generated
	 */
	void setServoAngle_05(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 06</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 06</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 06</em>' attribute.
	 * @see #setServoAngle_06(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_06()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_06();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_06 <em>Servo Angle 06</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 06</em>' attribute.
	 * @see #getServoAngle_06()
	 * @generated
	 */
	void setServoAngle_06(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 07</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 07</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 07</em>' attribute.
	 * @see #setServoAngle_07(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_07()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_07();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_07 <em>Servo Angle 07</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 07</em>' attribute.
	 * @see #getServoAngle_07()
	 * @generated
	 */
	void setServoAngle_07(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 08</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 08</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 08</em>' attribute.
	 * @see #setServoAngle_08(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_08()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_08();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_08 <em>Servo Angle 08</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 08</em>' attribute.
	 * @see #getServoAngle_08()
	 * @generated
	 */
	void setServoAngle_08(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 09</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 09</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 09</em>' attribute.
	 * @see #setServoAngle_09(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_09()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_09();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_09 <em>Servo Angle 09</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 09</em>' attribute.
	 * @see #getServoAngle_09()
	 * @generated
	 */
	void setServoAngle_09(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 10</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 10</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 10</em>' attribute.
	 * @see #setServoAngle_10(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_10()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_10();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_10 <em>Servo Angle 10</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 10</em>' attribute.
	 * @see #getServoAngle_10()
	 * @generated
	 */
	void setServoAngle_10(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 11</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 11</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 11</em>' attribute.
	 * @see #setServoAngle_11(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_11()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_11();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_11 <em>Servo Angle 11</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 11</em>' attribute.
	 * @see #getServoAngle_11()
	 * @generated
	 */
	void setServoAngle_11(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 12</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 12</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 12</em>' attribute.
	 * @see #setServoAngle_12(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_12()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_12();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_12 <em>Servo Angle 12</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 12</em>' attribute.
	 * @see #getServoAngle_12()
	 * @generated
	 */
	void setServoAngle_12(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 13</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 13</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 13</em>' attribute.
	 * @see #setServoAngle_13(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_13()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_13();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_13 <em>Servo Angle 13</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 13</em>' attribute.
	 * @see #getServoAngle_13()
	 * @generated
	 */
	void setServoAngle_13(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 14</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 14</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 14</em>' attribute.
	 * @see #setServoAngle_14(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_14()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_14();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_14 <em>Servo Angle 14</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 14</em>' attribute.
	 * @see #getServoAngle_14()
	 * @generated
	 */
	void setServoAngle_14(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 15</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 15</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 15</em>' attribute.
	 * @see #setServoAngle_15(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_15()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_15();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_15 <em>Servo Angle 15</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 15</em>' attribute.
	 * @see #getServoAngle_15()
	 * @generated
	 */
	void setServoAngle_15(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 16</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 16</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 16</em>' attribute.
	 * @see #setServoAngle_16(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_16()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_16();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_16 <em>Servo Angle 16</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 16</em>' attribute.
	 * @see #getServoAngle_16()
	 * @generated
	 */
	void setServoAngle_16(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 17</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 17</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 17</em>' attribute.
	 * @see #setServoAngle_17(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_17()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_17();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_17 <em>Servo Angle 17</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 17</em>' attribute.
	 * @see #getServoAngle_17()
	 * @generated
	 */
	void setServoAngle_17(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 18</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 18</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 18</em>' attribute.
	 * @see #setServoAngle_18(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_18()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_18();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_18 <em>Servo Angle 18</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 18</em>' attribute.
	 * @see #getServoAngle_18()
	 * @generated
	 */
	void setServoAngle_18(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 19</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 19</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 19</em>' attribute.
	 * @see #setServoAngle_19(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_19()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_19();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_19 <em>Servo Angle 19</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 19</em>' attribute.
	 * @see #getServoAngle_19()
	 * @generated
	 */
	void setServoAngle_19(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 20</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 20</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 20</em>' attribute.
	 * @see #setServoAngle_20(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_20()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_20();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_20 <em>Servo Angle 20</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 20</em>' attribute.
	 * @see #getServoAngle_20()
	 * @generated
	 */
	void setServoAngle_20(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 21</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 21</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 21</em>' attribute.
	 * @see #setServoAngle_21(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_21()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_21();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_21 <em>Servo Angle 21</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 21</em>' attribute.
	 * @see #getServoAngle_21()
	 * @generated
	 */
	void setServoAngle_21(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 22</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 22</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 22</em>' attribute.
	 * @see #setServoAngle_22(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_22()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_22();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_22 <em>Servo Angle 22</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 22</em>' attribute.
	 * @see #getServoAngle_22()
	 * @generated
	 */
	void setServoAngle_22(int value);

	/**
	 * Returns the value of the '<em><b>Servo Angle 23</b></em>' attribute.
	 * The default value is <code>"100"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Servo Angle 23</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Servo Angle 23</em>' attribute.
	 * @see #setServoAngle_23(int)
	 * @see hurome.HuromePackage#getSimpleMovement_ServoAngle_23()
	 * @model default="100" required="true"
	 * @generated
	 */
	int getServoAngle_23();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#getServoAngle_23 <em>Servo Angle 23</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Servo Angle 23</em>' attribute.
	 * @see #getServoAngle_23()
	 * @generated
	 */
	void setServoAngle_23(int value);

	/**
	 * Returns the value of the '<em><b>Ptpall</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Ptpall</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Ptpall</em>' attribute.
	 * @see #setPtpall(boolean)
	 * @see hurome.HuromePackage#getSimpleMovement_Ptpall()
	 * @model
	 * @generated
	 */
	boolean isPtpall();

	/**
	 * Sets the value of the '{@link hurome.SimpleMovement#isPtpall <em>Ptpall</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Ptpall</em>' attribute.
	 * @see #isPtpall()
	 * @generated
	 */
	void setPtpall(boolean value);

} // SimpleMovement
