lexer grammar InternalRobobasic;
@header {
package org.xtext.ui.contentassist.antlr.internal;

// Hack: Use our own Lexer superclass by means of import. 
// Currently there is no other way to specify the superclass for the lexer.
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.Lexer;
}

T11 : 'dim' ;
T12 : 'DIM' ;
T13 : 'as' ;
T14 : 'AS' ;
T15 : 'const' ;
T16 : 'CONST' ;
T17 : 'Move24' ;
T18 : 'move24' ;
T19 : 'MOVE24' ;
T20 : 'Speed' ;
T21 : 'speed' ;
T22 : 'SPEED' ;
T23 : 'Delay' ;
T24 : 'delay' ;
T25 : 'DELAY' ;
T26 : 'Ptpall' ;
T27 : 'ptpall' ;
T28 : 'PTPALL' ;
T29 : 'INTEGER' ;
T30 : 'BYTE' ;
T31 : 'ALLOFF' ;
T32 : 'ALLON' ;
T33 : '=' ;
T34 : ',' ;
T35 : '+' ;
T36 : '-' ;
T37 : '*' ;
T38 : '/' ;
T39 : '%' ;
T40 : '(' ;
T41 : ')' ;
T42 : 'IF' ;
T43 : 'THEN' ;
T44 : 'ENDIF' ;
T45 : 'ELSE' ;
T46 : 'AND' ;
T47 : 'OR' ;
T48 : 'XOR' ;
T49 : '<' ;
T50 : '>' ;
T51 : '<=' ;
T52 : '>=' ;
T53 : '<>' ;
T54 : 'FOR' ;
T55 : 'var=' ;
T56 : 'TO' ;
T57 : 'NEXT' ;

// $ANTLR src "../org.xtext.example.bas.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalRobobasic.g" 5971
RULE_ID : '^'? ('a'..'z'|'A'..'Z'|'_') ('a'..'z'|'A'..'Z'|'_'|'0'..'9')*;

// $ANTLR src "../org.xtext.example.bas.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalRobobasic.g" 5973
RULE_INT : ('0'..'9')+;

// $ANTLR src "../org.xtext.example.bas.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalRobobasic.g" 5975
RULE_STRING : ('"' ('\\' ('b'|'t'|'n'|'f'|'r'|'"'|'\''|'\\')|~(('\\'|'"')))* '"'|'\'' ('\\' ('b'|'t'|'n'|'f'|'r'|'"'|'\''|'\\')|~(('\\'|'\'')))* '\'');

// $ANTLR src "../org.xtext.example.bas.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalRobobasic.g" 5977
RULE_ML_COMMENT : '/*' ( options {greedy=false;} : . )*'*/';

// $ANTLR src "../org.xtext.example.bas.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalRobobasic.g" 5979
RULE_SL_COMMENT : '//' ~(('\n'|'\r'))* ('\r'? '\n')?;

// $ANTLR src "../org.xtext.example.bas.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalRobobasic.g" 5981
RULE_WS : (' '|'\t'|'\r'|'\n')+;

// $ANTLR src "../org.xtext.example.bas.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalRobobasic.g" 5983
RULE_ANY_OTHER : .;


