lexer grammar InternalRobobasic;
@header {
package org.xtext.parser.antlr.internal;

// Hack: Use our own Lexer superclass by means of import. 
// Currently there is no other way to specify the superclass for the lexer.
import org.eclipse.xtext.parser.antlr.Lexer;
}

T11 : 'dim' ;
T12 : 'DIM' ;
T13 : 'as' ;
T14 : 'AS' ;
T15 : 'const' ;
T16 : 'CONST' ;
T17 : '=' ;
T18 : 'Move24' ;
T19 : 'move24' ;
T20 : 'MOVE24' ;
T21 : ',' ;
T22 : 'Speed' ;
T23 : 'speed' ;
T24 : 'SPEED' ;
T25 : 'Delay' ;
T26 : 'delay' ;
T27 : 'DELAY' ;
T28 : 'Ptpall' ;
T29 : 'ptpall' ;
T30 : 'PTPALL' ;
T31 : '+' ;
T32 : '-' ;
T33 : '*' ;
T34 : '/' ;
T35 : '%' ;
T36 : '(' ;
T37 : ')' ;
T38 : 'IF' ;
T39 : 'THEN' ;
T40 : 'ENDIF' ;
T41 : 'ELSE' ;
T42 : 'AND' ;
T43 : 'OR' ;
T44 : 'XOR' ;
T45 : '<' ;
T46 : '>' ;
T47 : '<=' ;
T48 : '>=' ;
T49 : '<>' ;
T50 : 'FOR' ;
T51 : 'var=' ;
T52 : 'TO' ;
T53 : 'NEXT' ;
T54 : 'INTEGER' ;
T55 : 'BYTE' ;
T56 : 'ALLOFF' ;
T57 : 'ALLON' ;

// $ANTLR src "../org.xtext.example.bas/src-gen/org/xtext/parser/antlr/internal/InternalRobobasic.g" 2371
RULE_ID : '^'? ('a'..'z'|'A'..'Z'|'_') ('a'..'z'|'A'..'Z'|'_'|'0'..'9')*;

// $ANTLR src "../org.xtext.example.bas/src-gen/org/xtext/parser/antlr/internal/InternalRobobasic.g" 2373
RULE_INT : ('0'..'9')+;

// $ANTLR src "../org.xtext.example.bas/src-gen/org/xtext/parser/antlr/internal/InternalRobobasic.g" 2375
RULE_STRING : ('"' ('\\' ('b'|'t'|'n'|'f'|'r'|'"'|'\''|'\\')|~(('\\'|'"')))* '"'|'\'' ('\\' ('b'|'t'|'n'|'f'|'r'|'"'|'\''|'\\')|~(('\\'|'\'')))* '\'');

// $ANTLR src "../org.xtext.example.bas/src-gen/org/xtext/parser/antlr/internal/InternalRobobasic.g" 2377
RULE_ML_COMMENT : '/*' ( options {greedy=false;} : . )*'*/';

// $ANTLR src "../org.xtext.example.bas/src-gen/org/xtext/parser/antlr/internal/InternalRobobasic.g" 2379
RULE_SL_COMMENT : '//' ~(('\n'|'\r'))* ('\r'? '\n')?;

// $ANTLR src "../org.xtext.example.bas/src-gen/org/xtext/parser/antlr/internal/InternalRobobasic.g" 2381
RULE_WS : (' '|'\t'|'\r'|'\n')+;

// $ANTLR src "../org.xtext.example.bas/src-gen/org/xtext/parser/antlr/internal/InternalRobobasic.g" 2383
RULE_ANY_OTHER : .;


