package hurome.diagram.part;

import hurome.CodeBlock;
import hurome.Conditional;
import hurome.Delay;
import hurome.FinalPseudoMovement;
import hurome.HuromePackage;
import hurome.InitialPseudoMovement;
import hurome.Loop;
import hurome.Node;
import hurome.SequenceLink;
import hurome.SetSpeed;
import hurome.SimpleMovement;
import hurome.VarAssigment;
import hurome.VarDeclaration;
import hurome.diagram.edit.parts.CodeBlock2EditPart;
import hurome.diagram.edit.parts.CodeBlock3EditPart;
import hurome.diagram.edit.parts.CodeBlockCbCompartment2EditPart;
import hurome.diagram.edit.parts.CodeBlockCbCompartmentEditPart;
import hurome.diagram.edit.parts.CodeBlockEditPart;
import hurome.diagram.edit.parts.Conditional2EditPart;
import hurome.diagram.edit.parts.ConditionalEditPart;
import hurome.diagram.edit.parts.ConditionalElseCompartment2EditPart;
import hurome.diagram.edit.parts.ConditionalElseCompartmentEditPart;
import hurome.diagram.edit.parts.ConditionalIfCompartment2EditPart;
import hurome.diagram.edit.parts.ConditionalIfCompartmentEditPart;
import hurome.diagram.edit.parts.Delay2EditPart;
import hurome.diagram.edit.parts.DelayEditPart;
import hurome.diagram.edit.parts.FinalPseudoMovement2EditPart;
import hurome.diagram.edit.parts.FinalPseudoMovementEditPart;
import hurome.diagram.edit.parts.InitialPseudoMovement2EditPart;
import hurome.diagram.edit.parts.InitialPseudoMovementEditPart;
import hurome.diagram.edit.parts.Loop2EditPart;
import hurome.diagram.edit.parts.LoopEditPart;
import hurome.diagram.edit.parts.LoopLoopFigureCompartment2EditPart;
import hurome.diagram.edit.parts.LoopLoopFigureCompartmentEditPart;
import hurome.diagram.edit.parts.SequenceLinkEditPart;
import hurome.diagram.edit.parts.SetSpeed2EditPart;
import hurome.diagram.edit.parts.SetSpeedEditPart;
import hurome.diagram.edit.parts.SimpleMovement2EditPart;
import hurome.diagram.edit.parts.SimpleMovementEditPart;
import hurome.diagram.edit.parts.VarAssigment2EditPart;
import hurome.diagram.edit.parts.VarAssigmentEditPart;
import hurome.diagram.edit.parts.VarDeclaration2EditPart;
import hurome.diagram.edit.parts.VarDeclarationEditPart;
import hurome.diagram.providers.HuromeElementTypes;

import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.gmf.runtime.notation.View;

/**
 * @generated
 */
public class HuromeDiagramUpdater {

	/**
	 * @generated
	 */
	public static List<HuromeNodeDescriptor> getSemanticChildren(View view) {
		switch (HuromeVisualIDRegistry.getVisualID(view)) {
		case CodeBlockEditPart.VISUAL_ID:
			return getCodeBlock_1000SemanticChildren(view);
		case ConditionalIfCompartmentEditPart.VISUAL_ID:
			return getConditionalIfCompartment_7001SemanticChildren(view);
		case ConditionalElseCompartmentEditPart.VISUAL_ID:
			return getConditionalElseCompartment_7003SemanticChildren(view);
		case CodeBlockCbCompartmentEditPart.VISUAL_ID:
			return getCodeBlockCbCompartment_7002SemanticChildren(view);
		case ConditionalIfCompartment2EditPart.VISUAL_ID:
			return getConditionalIfCompartment_7008SemanticChildren(view);
		case ConditionalElseCompartment2EditPart.VISUAL_ID:
			return getConditionalElseCompartment_7009SemanticChildren(view);
		case CodeBlockCbCompartment2EditPart.VISUAL_ID:
			return getCodeBlockCbCompartment_7004SemanticChildren(view);
		case LoopLoopFigureCompartmentEditPart.VISUAL_ID:
			return getLoopLoopFigureCompartment_7010SemanticChildren(view);
		case LoopLoopFigureCompartment2EditPart.VISUAL_ID:
			return getLoopLoopFigureCompartment_7005SemanticChildren(view);
		}
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeNodeDescriptor> getCodeBlock_1000SemanticChildren(
			View view) {
		if (!view.isSetElement()) {
			return Collections.emptyList();
		}
		CodeBlock modelElement = (CodeBlock) view.getElement();
		LinkedList<HuromeNodeDescriptor> result = new LinkedList<HuromeNodeDescriptor>();
		for (Iterator<?> it = modelElement.getNodes().iterator(); it.hasNext();) {
			Node childElement = (Node) it.next();
			int visualID = HuromeVisualIDRegistry.getNodeVisualID(view,
					childElement);
			if (visualID == ConditionalEditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == InitialPseudoMovementEditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == DelayEditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == FinalPseudoMovementEditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == VarAssigmentEditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == SetSpeedEditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == SimpleMovementEditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == VarDeclarationEditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == LoopEditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
		}
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeNodeDescriptor> getConditionalIfCompartment_7001SemanticChildren(
			View view) {
		if (false == view.eContainer() instanceof View) {
			return Collections.emptyList();
		}
		View containerView = (View) view.eContainer();
		if (!containerView.isSetElement()) {
			return Collections.emptyList();
		}
		Conditional modelElement = (Conditional) containerView.getElement();
		LinkedList<HuromeNodeDescriptor> result = new LinkedList<HuromeNodeDescriptor>();
		{
			CodeBlock childElement = modelElement.getIf_true();
			int visualID = HuromeVisualIDRegistry.getNodeVisualID(view,
					childElement);
			if (visualID == CodeBlock2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
			}
		}
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeNodeDescriptor> getConditionalElseCompartment_7003SemanticChildren(
			View view) {
		if (false == view.eContainer() instanceof View) {
			return Collections.emptyList();
		}
		View containerView = (View) view.eContainer();
		if (!containerView.isSetElement()) {
			return Collections.emptyList();
		}
		Conditional modelElement = (Conditional) containerView.getElement();
		LinkedList<HuromeNodeDescriptor> result = new LinkedList<HuromeNodeDescriptor>();
		{
			CodeBlock childElement = modelElement.getElse_false();
			int visualID = HuromeVisualIDRegistry.getNodeVisualID(view,
					childElement);
			if (visualID == CodeBlock3EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
			}
		}
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeNodeDescriptor> getCodeBlockCbCompartment_7002SemanticChildren(
			View view) {
		if (false == view.eContainer() instanceof View) {
			return Collections.emptyList();
		}
		View containerView = (View) view.eContainer();
		if (!containerView.isSetElement()) {
			return Collections.emptyList();
		}
		CodeBlock modelElement = (CodeBlock) containerView.getElement();
		LinkedList<HuromeNodeDescriptor> result = new LinkedList<HuromeNodeDescriptor>();
		for (Iterator<?> it = modelElement.getNodes().iterator(); it.hasNext();) {
			Node childElement = (Node) it.next();
			int visualID = HuromeVisualIDRegistry.getNodeVisualID(view,
					childElement);
			if (visualID == Delay2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == InitialPseudoMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == Conditional2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == FinalPseudoMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == Loop2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == SetSpeed2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == SimpleMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == VarAssigment2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == VarDeclaration2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
		}
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeNodeDescriptor> getConditionalIfCompartment_7008SemanticChildren(
			View view) {
		if (false == view.eContainer() instanceof View) {
			return Collections.emptyList();
		}
		View containerView = (View) view.eContainer();
		if (!containerView.isSetElement()) {
			return Collections.emptyList();
		}
		Conditional modelElement = (Conditional) containerView.getElement();
		LinkedList<HuromeNodeDescriptor> result = new LinkedList<HuromeNodeDescriptor>();
		{
			CodeBlock childElement = modelElement.getIf_true();
			int visualID = HuromeVisualIDRegistry.getNodeVisualID(view,
					childElement);
			if (visualID == CodeBlock2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
			}
		}
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeNodeDescriptor> getConditionalElseCompartment_7009SemanticChildren(
			View view) {
		if (false == view.eContainer() instanceof View) {
			return Collections.emptyList();
		}
		View containerView = (View) view.eContainer();
		if (!containerView.isSetElement()) {
			return Collections.emptyList();
		}
		Conditional modelElement = (Conditional) containerView.getElement();
		LinkedList<HuromeNodeDescriptor> result = new LinkedList<HuromeNodeDescriptor>();
		{
			CodeBlock childElement = modelElement.getElse_false();
			int visualID = HuromeVisualIDRegistry.getNodeVisualID(view,
					childElement);
			if (visualID == CodeBlock3EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
			}
		}
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeNodeDescriptor> getCodeBlockCbCompartment_7004SemanticChildren(
			View view) {
		if (false == view.eContainer() instanceof View) {
			return Collections.emptyList();
		}
		View containerView = (View) view.eContainer();
		if (!containerView.isSetElement()) {
			return Collections.emptyList();
		}
		CodeBlock modelElement = (CodeBlock) containerView.getElement();
		LinkedList<HuromeNodeDescriptor> result = new LinkedList<HuromeNodeDescriptor>();
		for (Iterator<?> it = modelElement.getNodes().iterator(); it.hasNext();) {
			Node childElement = (Node) it.next();
			int visualID = HuromeVisualIDRegistry.getNodeVisualID(view,
					childElement);
			if (visualID == Delay2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == InitialPseudoMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == Conditional2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == FinalPseudoMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == Loop2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == SetSpeed2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == SimpleMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == VarAssigment2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == VarDeclaration2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
		}
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeNodeDescriptor> getLoopLoopFigureCompartment_7010SemanticChildren(
			View view) {
		if (false == view.eContainer() instanceof View) {
			return Collections.emptyList();
		}
		View containerView = (View) view.eContainer();
		if (!containerView.isSetElement()) {
			return Collections.emptyList();
		}
		Loop modelElement = (Loop) containerView.getElement();
		LinkedList<HuromeNodeDescriptor> result = new LinkedList<HuromeNodeDescriptor>();
		for (Iterator<?> it = modelElement.getNodes().iterator(); it.hasNext();) {
			Node childElement = (Node) it.next();
			int visualID = HuromeVisualIDRegistry.getNodeVisualID(view,
					childElement);
			if (visualID == Delay2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == InitialPseudoMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == Conditional2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == FinalPseudoMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == Loop2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == SetSpeed2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == SimpleMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == VarAssigment2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == VarDeclaration2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
		}
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeNodeDescriptor> getLoopLoopFigureCompartment_7005SemanticChildren(
			View view) {
		if (false == view.eContainer() instanceof View) {
			return Collections.emptyList();
		}
		View containerView = (View) view.eContainer();
		if (!containerView.isSetElement()) {
			return Collections.emptyList();
		}
		Loop modelElement = (Loop) containerView.getElement();
		LinkedList<HuromeNodeDescriptor> result = new LinkedList<HuromeNodeDescriptor>();
		for (Iterator<?> it = modelElement.getNodes().iterator(); it.hasNext();) {
			Node childElement = (Node) it.next();
			int visualID = HuromeVisualIDRegistry.getNodeVisualID(view,
					childElement);
			if (visualID == Delay2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == InitialPseudoMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == Conditional2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == FinalPseudoMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == Loop2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == SetSpeed2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == SimpleMovement2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == VarAssigment2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
			if (visualID == VarDeclaration2EditPart.VISUAL_ID) {
				result.add(new HuromeNodeDescriptor(childElement, visualID));
				continue;
			}
		}
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getContainedLinks(View view) {
		switch (HuromeVisualIDRegistry.getVisualID(view)) {
		case CodeBlockEditPart.VISUAL_ID:
			return getCodeBlock_1000ContainedLinks(view);
		case ConditionalEditPart.VISUAL_ID:
			return getConditional_2001ContainedLinks(view);
		case InitialPseudoMovementEditPart.VISUAL_ID:
			return getInitialPseudoMovement_2003ContainedLinks(view);
		case DelayEditPart.VISUAL_ID:
			return getDelay_2002ContainedLinks(view);
		case FinalPseudoMovementEditPart.VISUAL_ID:
			return getFinalPseudoMovement_2004ContainedLinks(view);
		case VarAssigmentEditPart.VISUAL_ID:
			return getVarAssigment_2005ContainedLinks(view);
		case SetSpeedEditPart.VISUAL_ID:
			return getSetSpeed_2006ContainedLinks(view);
		case SimpleMovementEditPart.VISUAL_ID:
			return getSimpleMovement_2007ContainedLinks(view);
		case VarDeclarationEditPart.VISUAL_ID:
			return getVarDeclaration_2008ContainedLinks(view);
		case LoopEditPart.VISUAL_ID:
			return getLoop_2009ContainedLinks(view);
		case CodeBlock2EditPart.VISUAL_ID:
			return getCodeBlock_3001ContainedLinks(view);
		case Delay2EditPart.VISUAL_ID:
			return getDelay_3002ContainedLinks(view);
		case InitialPseudoMovement2EditPart.VISUAL_ID:
			return getInitialPseudoMovement_3003ContainedLinks(view);
		case Conditional2EditPart.VISUAL_ID:
			return getConditional_3006ContainedLinks(view);
		case CodeBlock3EditPart.VISUAL_ID:
			return getCodeBlock_3004ContainedLinks(view);
		case FinalPseudoMovement2EditPart.VISUAL_ID:
			return getFinalPseudoMovement_3007ContainedLinks(view);
		case Loop2EditPart.VISUAL_ID:
			return getLoop_3008ContainedLinks(view);
		case SetSpeed2EditPart.VISUAL_ID:
			return getSetSpeed_3009ContainedLinks(view);
		case SimpleMovement2EditPart.VISUAL_ID:
			return getSimpleMovement_3010ContainedLinks(view);
		case VarAssigment2EditPart.VISUAL_ID:
			return getVarAssigment_3011ContainedLinks(view);
		case VarDeclaration2EditPart.VISUAL_ID:
			return getVarDeclaration_3012ContainedLinks(view);
		case SequenceLinkEditPart.VISUAL_ID:
			return getSequenceLink_4001ContainedLinks(view);
		}
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getIncomingLinks(View view) {
		switch (HuromeVisualIDRegistry.getVisualID(view)) {
		case ConditionalEditPart.VISUAL_ID:
			return getConditional_2001IncomingLinks(view);
		case InitialPseudoMovementEditPart.VISUAL_ID:
			return getInitialPseudoMovement_2003IncomingLinks(view);
		case DelayEditPart.VISUAL_ID:
			return getDelay_2002IncomingLinks(view);
		case FinalPseudoMovementEditPart.VISUAL_ID:
			return getFinalPseudoMovement_2004IncomingLinks(view);
		case VarAssigmentEditPart.VISUAL_ID:
			return getVarAssigment_2005IncomingLinks(view);
		case SetSpeedEditPart.VISUAL_ID:
			return getSetSpeed_2006IncomingLinks(view);
		case SimpleMovementEditPart.VISUAL_ID:
			return getSimpleMovement_2007IncomingLinks(view);
		case VarDeclarationEditPart.VISUAL_ID:
			return getVarDeclaration_2008IncomingLinks(view);
		case LoopEditPart.VISUAL_ID:
			return getLoop_2009IncomingLinks(view);
		case CodeBlock2EditPart.VISUAL_ID:
			return getCodeBlock_3001IncomingLinks(view);
		case Delay2EditPart.VISUAL_ID:
			return getDelay_3002IncomingLinks(view);
		case InitialPseudoMovement2EditPart.VISUAL_ID:
			return getInitialPseudoMovement_3003IncomingLinks(view);
		case Conditional2EditPart.VISUAL_ID:
			return getConditional_3006IncomingLinks(view);
		case CodeBlock3EditPart.VISUAL_ID:
			return getCodeBlock_3004IncomingLinks(view);
		case FinalPseudoMovement2EditPart.VISUAL_ID:
			return getFinalPseudoMovement_3007IncomingLinks(view);
		case Loop2EditPart.VISUAL_ID:
			return getLoop_3008IncomingLinks(view);
		case SetSpeed2EditPart.VISUAL_ID:
			return getSetSpeed_3009IncomingLinks(view);
		case SimpleMovement2EditPart.VISUAL_ID:
			return getSimpleMovement_3010IncomingLinks(view);
		case VarAssigment2EditPart.VISUAL_ID:
			return getVarAssigment_3011IncomingLinks(view);
		case VarDeclaration2EditPart.VISUAL_ID:
			return getVarDeclaration_3012IncomingLinks(view);
		case SequenceLinkEditPart.VISUAL_ID:
			return getSequenceLink_4001IncomingLinks(view);
		}
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getOutgoingLinks(View view) {
		switch (HuromeVisualIDRegistry.getVisualID(view)) {
		case ConditionalEditPart.VISUAL_ID:
			return getConditional_2001OutgoingLinks(view);
		case InitialPseudoMovementEditPart.VISUAL_ID:
			return getInitialPseudoMovement_2003OutgoingLinks(view);
		case DelayEditPart.VISUAL_ID:
			return getDelay_2002OutgoingLinks(view);
		case FinalPseudoMovementEditPart.VISUAL_ID:
			return getFinalPseudoMovement_2004OutgoingLinks(view);
		case VarAssigmentEditPart.VISUAL_ID:
			return getVarAssigment_2005OutgoingLinks(view);
		case SetSpeedEditPart.VISUAL_ID:
			return getSetSpeed_2006OutgoingLinks(view);
		case SimpleMovementEditPart.VISUAL_ID:
			return getSimpleMovement_2007OutgoingLinks(view);
		case VarDeclarationEditPart.VISUAL_ID:
			return getVarDeclaration_2008OutgoingLinks(view);
		case LoopEditPart.VISUAL_ID:
			return getLoop_2009OutgoingLinks(view);
		case CodeBlock2EditPart.VISUAL_ID:
			return getCodeBlock_3001OutgoingLinks(view);
		case Delay2EditPart.VISUAL_ID:
			return getDelay_3002OutgoingLinks(view);
		case InitialPseudoMovement2EditPart.VISUAL_ID:
			return getInitialPseudoMovement_3003OutgoingLinks(view);
		case Conditional2EditPart.VISUAL_ID:
			return getConditional_3006OutgoingLinks(view);
		case CodeBlock3EditPart.VISUAL_ID:
			return getCodeBlock_3004OutgoingLinks(view);
		case FinalPseudoMovement2EditPart.VISUAL_ID:
			return getFinalPseudoMovement_3007OutgoingLinks(view);
		case Loop2EditPart.VISUAL_ID:
			return getLoop_3008OutgoingLinks(view);
		case SetSpeed2EditPart.VISUAL_ID:
			return getSetSpeed_3009OutgoingLinks(view);
		case SimpleMovement2EditPart.VISUAL_ID:
			return getSimpleMovement_3010OutgoingLinks(view);
		case VarAssigment2EditPart.VISUAL_ID:
			return getVarAssigment_3011OutgoingLinks(view);
		case VarDeclaration2EditPart.VISUAL_ID:
			return getVarDeclaration_3012OutgoingLinks(view);
		case SequenceLinkEditPart.VISUAL_ID:
			return getSequenceLink_4001OutgoingLinks(view);
		}
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getCodeBlock_1000ContainedLinks(
			View view) {
		CodeBlock modelElement = (CodeBlock) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getContainedTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getConditional_2001ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getInitialPseudoMovement_2003ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getDelay_2002ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getFinalPseudoMovement_2004ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarAssigment_2005ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSetSpeed_2006ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSimpleMovement_2007ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarDeclaration_2008ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getLoop_2009ContainedLinks(
			View view) {
		Loop modelElement = (Loop) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getContainedTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getCodeBlock_3001ContainedLinks(
			View view) {
		CodeBlock modelElement = (CodeBlock) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getContainedTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getDelay_3002ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getInitialPseudoMovement_3003ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getConditional_3006ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getCodeBlock_3004ContainedLinks(
			View view) {
		CodeBlock modelElement = (CodeBlock) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getContainedTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getFinalPseudoMovement_3007ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getLoop_3008ContainedLinks(
			View view) {
		Loop modelElement = (Loop) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getContainedTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSetSpeed_3009ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSimpleMovement_3010ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarAssigment_3011ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarDeclaration_3012ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSequenceLink_4001ContainedLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getConditional_2001IncomingLinks(
			View view) {
		Conditional modelElement = (Conditional) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getInitialPseudoMovement_2003IncomingLinks(
			View view) {
		InitialPseudoMovement modelElement = (InitialPseudoMovement) view
				.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getDelay_2002IncomingLinks(
			View view) {
		Delay modelElement = (Delay) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getFinalPseudoMovement_2004IncomingLinks(
			View view) {
		FinalPseudoMovement modelElement = (FinalPseudoMovement) view
				.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarAssigment_2005IncomingLinks(
			View view) {
		VarAssigment modelElement = (VarAssigment) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSetSpeed_2006IncomingLinks(
			View view) {
		SetSpeed modelElement = (SetSpeed) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSimpleMovement_2007IncomingLinks(
			View view) {
		SimpleMovement modelElement = (SimpleMovement) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarDeclaration_2008IncomingLinks(
			View view) {
		VarDeclaration modelElement = (VarDeclaration) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getLoop_2009IncomingLinks(View view) {
		Loop modelElement = (Loop) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getCodeBlock_3001IncomingLinks(
			View view) {
		CodeBlock modelElement = (CodeBlock) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getDelay_3002IncomingLinks(
			View view) {
		Delay modelElement = (Delay) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getInitialPseudoMovement_3003IncomingLinks(
			View view) {
		InitialPseudoMovement modelElement = (InitialPseudoMovement) view
				.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getConditional_3006IncomingLinks(
			View view) {
		Conditional modelElement = (Conditional) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getCodeBlock_3004IncomingLinks(
			View view) {
		CodeBlock modelElement = (CodeBlock) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getFinalPseudoMovement_3007IncomingLinks(
			View view) {
		FinalPseudoMovement modelElement = (FinalPseudoMovement) view
				.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getLoop_3008IncomingLinks(View view) {
		Loop modelElement = (Loop) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSetSpeed_3009IncomingLinks(
			View view) {
		SetSpeed modelElement = (SetSpeed) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSimpleMovement_3010IncomingLinks(
			View view) {
		SimpleMovement modelElement = (SimpleMovement) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarAssigment_3011IncomingLinks(
			View view) {
		VarAssigment modelElement = (VarAssigment) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarDeclaration_3012IncomingLinks(
			View view) {
		VarDeclaration modelElement = (VarDeclaration) view.getElement();
		Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences = EcoreUtil.CrossReferencer
				.find(view.eResource().getResourceSet().getResources());
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getIncomingTypeModelFacetLinks_SequenceLink_4001(
				modelElement, crossReferences));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSequenceLink_4001IncomingLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getConditional_2001OutgoingLinks(
			View view) {
		Conditional modelElement = (Conditional) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getInitialPseudoMovement_2003OutgoingLinks(
			View view) {
		InitialPseudoMovement modelElement = (InitialPseudoMovement) view
				.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getDelay_2002OutgoingLinks(
			View view) {
		Delay modelElement = (Delay) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getFinalPseudoMovement_2004OutgoingLinks(
			View view) {
		FinalPseudoMovement modelElement = (FinalPseudoMovement) view
				.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarAssigment_2005OutgoingLinks(
			View view) {
		VarAssigment modelElement = (VarAssigment) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSetSpeed_2006OutgoingLinks(
			View view) {
		SetSpeed modelElement = (SetSpeed) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSimpleMovement_2007OutgoingLinks(
			View view) {
		SimpleMovement modelElement = (SimpleMovement) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarDeclaration_2008OutgoingLinks(
			View view) {
		VarDeclaration modelElement = (VarDeclaration) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getLoop_2009OutgoingLinks(View view) {
		Loop modelElement = (Loop) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getCodeBlock_3001OutgoingLinks(
			View view) {
		CodeBlock modelElement = (CodeBlock) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getDelay_3002OutgoingLinks(
			View view) {
		Delay modelElement = (Delay) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getInitialPseudoMovement_3003OutgoingLinks(
			View view) {
		InitialPseudoMovement modelElement = (InitialPseudoMovement) view
				.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getConditional_3006OutgoingLinks(
			View view) {
		Conditional modelElement = (Conditional) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getCodeBlock_3004OutgoingLinks(
			View view) {
		CodeBlock modelElement = (CodeBlock) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getFinalPseudoMovement_3007OutgoingLinks(
			View view) {
		FinalPseudoMovement modelElement = (FinalPseudoMovement) view
				.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getLoop_3008OutgoingLinks(View view) {
		Loop modelElement = (Loop) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSetSpeed_3009OutgoingLinks(
			View view) {
		SetSpeed modelElement = (SetSpeed) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSimpleMovement_3010OutgoingLinks(
			View view) {
		SimpleMovement modelElement = (SimpleMovement) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarAssigment_3011OutgoingLinks(
			View view) {
		VarAssigment modelElement = (VarAssigment) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getVarDeclaration_3012OutgoingLinks(
			View view) {
		VarDeclaration modelElement = (VarDeclaration) view.getElement();
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		result.addAll(getOutgoingTypeModelFacetLinks_SequenceLink_4001(modelElement));
		return result;
	}

	/**
	 * @generated
	 */
	public static List<HuromeLinkDescriptor> getSequenceLink_4001OutgoingLinks(
			View view) {
		return Collections.emptyList();
	}

	/**
	 * @generated
	 */
	private static Collection<HuromeLinkDescriptor> getContainedTypeModelFacetLinks_SequenceLink_4001(
			CodeBlock container) {
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		for (Iterator<?> links = container.getLinks().iterator(); links
				.hasNext();) {
			EObject linkObject = (EObject) links.next();
			if (false == linkObject instanceof SequenceLink) {
				continue;
			}
			SequenceLink link = (SequenceLink) linkObject;
			if (SequenceLinkEditPart.VISUAL_ID != HuromeVisualIDRegistry
					.getLinkWithClassVisualID(link)) {
				continue;
			}
			Node dst = link.getTarget();
			Node src = link.getSource();
			result.add(new HuromeLinkDescriptor(src, dst, link,
					HuromeElementTypes.SequenceLink_4001,
					SequenceLinkEditPart.VISUAL_ID));
		}
		return result;
	}

	/**
	 * @generated
	 */
	private static Collection<HuromeLinkDescriptor> getIncomingTypeModelFacetLinks_SequenceLink_4001(
			Node target,
			Map<EObject, Collection<EStructuralFeature.Setting>> crossReferences) {
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		Collection<EStructuralFeature.Setting> settings = crossReferences
				.get(target);
		for (EStructuralFeature.Setting setting : settings) {
			if (setting.getEStructuralFeature() != HuromePackage.eINSTANCE
					.getSequenceLink_Target()
					|| false == setting.getEObject() instanceof SequenceLink) {
				continue;
			}
			SequenceLink link = (SequenceLink) setting.getEObject();
			if (SequenceLinkEditPart.VISUAL_ID != HuromeVisualIDRegistry
					.getLinkWithClassVisualID(link)) {
				continue;
			}
			Node src = link.getSource();
			result.add(new HuromeLinkDescriptor(src, target, link,
					HuromeElementTypes.SequenceLink_4001,
					SequenceLinkEditPart.VISUAL_ID));
		}
		return result;
	}

	/**
	 * @generated
	 */
	private static Collection<HuromeLinkDescriptor> getOutgoingTypeModelFacetLinks_SequenceLink_4001(
			Node source) {
		CodeBlock container = null;
		// Find container element for the link.
		// Climb up by containment hierarchy starting from the source
		// and return the first element that is instance of the container class.
		for (EObject element = source; element != null && container == null; element = element
				.eContainer()) {
			if (element instanceof CodeBlock) {
				container = (CodeBlock) element;
			}
		}
		if (container == null) {
			return Collections.emptyList();
		}
		LinkedList<HuromeLinkDescriptor> result = new LinkedList<HuromeLinkDescriptor>();
		for (Iterator<?> links = container.getLinks().iterator(); links
				.hasNext();) {
			EObject linkObject = (EObject) links.next();
			if (false == linkObject instanceof SequenceLink) {
				continue;
			}
			SequenceLink link = (SequenceLink) linkObject;
			if (SequenceLinkEditPart.VISUAL_ID != HuromeVisualIDRegistry
					.getLinkWithClassVisualID(link)) {
				continue;
			}
			Node dst = link.getTarget();
			Node src = link.getSource();
			if (src != source) {
				continue;
			}
			result.add(new HuromeLinkDescriptor(src, dst, link,
					HuromeElementTypes.SequenceLink_4001,
					SequenceLinkEditPart.VISUAL_ID));
		}
		return result;
	}

}
